.Dd Apr 15, 2012
.Dt tcvt 1
.Sh NAME
tcvt - two column virtual terminal
.Sh SYNOPSIS
.Nm tcvt
.Op Fl c Ar columns
.Op Fl h
.Op Fl r
.Op Fl Fl
.Ar program options
.Nm optcvt
.Ar program options
.Sh DESCRIPTION
The two column virtual terminal emulates a virtual terminal inside another virtual terminal.
The emulated virtual terminal is twice as tall and half as wide as the original terminal.
The upper half of the virtual terminal goes to the left and the lower half goes to the right of the original terminal.
An \fBANSI\fP terminal is emulated.
.Pp
While \fBtcvt\fP does this conversion unconditionally, the \fBoptcvt\fP can be used with smaller terminals.
It will only invoke \fBtcvt\fP, if the terminal is wide enough and otherwise simply exec the passed program.
.Sh OPTIONS
Both programs take a program and options to that program.
They execute the given program.
If no program is given a shell is executed.
.Pp
In addition the \fBtcvt\fP tool accepts a few switches.
.Bl -tag -width indent
.It Fl c , Fl Fl columns
Specify the number of columns. This defaults to two.
.It Fl h , Fl Fl help
Print a quick option overview and exit.
.It Fl r , Fl Fl reverse
Order columns so that the last one is the left most.
.It Fl Fl
Signal end of options.
.El
.Pp
Any non-option argument signals the end of options for \fBtcvt\fP.
.Sh EXIT STATUS
The exit status of the wrapped program is propagated.
When \fBtcvt\fP produces an error of its own, 255 is returned.
.Sh BUGS
Not all \fBANSI\fP terminal features are emulated.
If you experience rendering issues, you can export the environment variable \fBTCVT_DEVEL\fP.
It causes \fBtcvt\fP to crash upon seeing an unimplemented character sequence.
The error message includes the unrecognized sequence.
.Sh SEE ALSO
.Xr screen 1
.Xr splitvt 1
.Sh AUTHOR
Helmut Grohne <helmut@subdivi.de>
.Sh AVAILABILITY
\fBtcvt\fP is available at http://subdivi.de/~helmut/tcvt/.
